#!/bin/perl

#use strict;
#use diagnostics;

# Before `make install' is performed this script should be runnable with
# `make test'. After `make install' it should work as `perl Data-ParseTable.t'

#########################

# change 'tests => 1' to 'tests => last_test_to_print';

#print %INC;

use Test::More qw{ no_plan };

#tests => 1;
BEGIN { use_ok('Data::ParseTable') };
#can_ok( 'Data::ParseTable', ('parse_table'));

#########################

# Insert your test code below, the Test::More module is use()ed here so read
# its man page ( perldoc Test::More ) for help writing this test script.

# Test HTML as file and line array

my $result_hash_ref = Data::ParseTable::parse_table( "t/peaktable.html", 
						     { return_as_hash => 1 } );
foreach my $header (keys %{$result_hash_ref}){
    ok( $header =~ /(Date \(Year:DOY\)|Int_Peak \(e\-\/s\)|ZodiB)/ or
	$header =~ /(ZB_Part \(e\-\/s\)|Peak \(e\-\/s\)|Years Since Launch)/ );
}

my @html_lines = (
		  "<HTML><HEAD>This is a head</HEAD><BODY>\n",
		  "<TABLE BORDER>\n",
		  "<TR><TH>HEAD1</TH><TH>HEAD 2</TH><TH>\"Head 3\"</TH></TR>\n",
		  "<TR><TH>Data1</TH><TH>Data 2</TH><TH>Data !& 3</TH></TR>\n",
		  "</TABLE></BODY></HTML>\n",
		  );


my $result_array_ref = Data::ParseTable::parse_table( \@html_lines );

foreach my $header (keys %{$result_array_ref->[0]}){
    ok( $header =~ /(HEAD1|HEAD 2|\"Head 3\")/ );
}

# This test is expected to croak for a HTML::TableExtract version 2.06 or newer
eval {$result_hash_ref = Data::ParseTable::parse_table( "t/replan.html" , 
							{return_as_hash => 1 });
  }




